当前位置 主页 > 服务器问题 > Linux/apache问题 >

linux安装apache过程中注意的问题

栏目:Linux/apache问题 时间:2018-09-20 14:42

这篇文章主要为大家介绍了linux安装apache过程中注意的问题,帮助大家进行顺利安装,感兴趣的小伙伴们可以参考一下

作为最常用的web服务器,Apache可在大多数的电脑操作系统中使用,而作为自由和开放源码的类Unix操作系统linux来说,它和apache可以说的上是黄金搭档。本篇向大家介绍一下Apache在linux系统下的安装和使用。
一、首先要下载apache软件,大家可以在apache的官网自行下载,我这里下载的是apache目前的最新版本——httpd-2.4.18.tar.gz
二、下载apache以后,接下来要做的并不是马上开始安装,我个人觉得应该先规划一下安装的目录结构。首先明确我们使用apache做什么,我一般情况使用apache+php+mysql作为php的开发环境。因此为了便于管理,我每次都是将三者安装在同一目录下面。所以一般情况下我在/(根目录)下面新建lamp文件夹,然后将三者都安装在此目录下面。当然,在实际情况中可以根据不同还有自己的习惯进行不同的设置。
三、规划好目录结构以后,接下来要做的是要明确安装apache2.4所需要的条件
1. 首先最主要的的是C编译器,查看我们的系统中是否装有gcc,没有gcc是无法编译apache源码的。因此在安装apache之前我们需要保证系统中装有gcc。如果没有gcc可以使用 #yum install gcc 安装此项。
2. 在安装apache2.4过程中需要APR 和 APR-Util ,APR(Apache Portable Runtime)
3. PCRE(Perl-Compatible Regular Expressions Library)安装过程中是必须的,但是在httpd中并没有此项类库,因此需要我们自己安装
四、规划好目录结构以后,开始安装的过程,安装过程可分为以下四个步骤

1. # tar –zxvf httpd-2.4.18.tar.gz  解压文件2. # cd httpd-2.4.18   进入解压以后的文件夹3. # ./configure --prefix=/lamp/apache/ --enable-rewrite    使用configure 配置选项4. # make       编译5. # make install     安装

在1、2两步一般情况没有问题,主要出现问题的是在第3步 ./configure:
首先,如果没有满足三中的条件2,在./configure 过程中会出现如下的错误

checking for APR... no
configure: error: APR not found.  Please read the documentation.
......
checking for APR-util... no
configure: error: APR-util not found.  Please read the documentation. 

这是缺少APR和APR-Util 类库,解决方法就是下载 APR和APR-Util 两个文件,我这里下载的是 apr-1.5.2.tar.gz 和 apr-util-1.5.4.tar.gz。下载完成以后开始解压这两个文件到
Httpd-2.4.18/srclib 下面,分别命名为 apr(httpd.2.4.18/srclib/apr) 和 apr-util(httpd.2.4.18/srclib/apr-util)注意不能带有版本号。此时再编译的时候此项就可以通过了。
其次,在./configure过程中还可能会出现如下错误 

checking for pcre-config... false
configure: error: pcre-config for libpcre not found. PCRE is required and available from
缩小 缩小 缩小 缩小